FILL-REF-MD5(1)

NAME
fill-ref-md5 - computes MD5 sum of the reference sequence

SYNOPSIS
fill-ref-md5 [OPTIONS] in.vcf.gz out.vcf.gz

DESCRIPTION
About: The script computes MD5 sum of the reference sequence and inserts

    'reference' and 'contig' tags into header as recommended by VCFv4.1. The VCF file must be compressed and tabix indexed, as it takes advantage of the lightning fast tabix reheader functionality.

OPTIONS

-d, --dictionary <file>
    Where to read/write computed MD5s. Opened in append mode, existing records are not touched.

-i, --info <AS:xx,SP:xx,TX:xx>
    Optional info on reference assembly (AS), species (SP), taxonomy (TX)

-r, --refseq <file>
    The reference sequence in fasta format indexed by samtools faidx

-h, -?, --help
    This help message.

EXAMPLES

fill-ref-md5 -i AS:NCBIM37,SP:"Mus\ Musculus" -r NCBIM37_um.fa
    -d NCBIM37_um.fa.dict in.vcf.gz out.vcf.gz